# Module cloud_ssh

- Description
- Function Index
- Function Details

Cloud SSH starts or stops erlang vms on ssh hosts based on alarms defined for the autoscale process.

Copyright © 2013-2015 Zuse Institute Berlin

Version: $Id$

Behaviours: `cloud_beh`.

Authors: Maximilian Michels (`michels@zib.de`).

## Description

Cloud SSH starts or stops erlang vms on ssh hosts based on alarms defined for the autoscale process. The module is used by autoscale if the following option has been set in scalaris.local.cfg: {autoscale_cloud_module, cloud_ssh} The following options can also be set: {cloud_ssh_hosts, ["host1", "host2", ..., "hostn"]}. {cloud_ssh_path, "path/to/scalaris/installation/on/host"}. Additional services besides Scalaris may be specified: {cloud_ssh_services, [{ServiceStartCmd, ServiceStopCmd}, {Service2StartCmd, Service2StopCmd}, ...]}.

## Function Index

add_vms/1 |
check_config/0 |
get_number_of_vms/0 |
init/0 |
killall_vms/0 |
remove_vms/1 |

## Function Details

### init/0

    init() -> failed | ok

### get_number_of_vms/0

    get_number_of_vms() -> failed | non_neg_integer()

### add_vms/1

    add_vms(N :: pos_integer()) -> failed | ok

### remove_vms/1

    remove_vms(N :: pos_integer()) -> failed | ok

### killall_vms/0

    killall_vms() -> failed | ok

### check_config/0

    check_config() -> boolean()

Generated by EDoc, Feb 29 2016, 16:12:21.